Bug 302746 - "Last Played" filter is not available anymore
Summary: "Last Played" filter is not available anymore
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: 2.5.90 (2.6 beta)
Platform: Ubuntu Packages Linux
: NOR major (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2012-06-29 13:58 UTC by robert marshall
Modified: 2012-07-03 19:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description robert marshall 2012-06-29 13:58:48 UTC
The release notes for 2.3.2(beta) say
Edit filter dialog: added "added" and "last played" date filters.

In 2.5.90 I can't see this option - has it been lost again? (I can see Added, First Played, and Last Modified) or was first played meant. At least from my usage, last played is more useful than first played (wanting to see tracks I've not played for some time)
I see that manually adding lastplay in the filter box gives me what I want so this is either a please put it back (as a filter icon) or an enhancement request!

Reproducible: Always
Comment 1 robert marshall 2012-06-29 14:00:09 UTC
Clearly the title of the bug should be 'can't filter collection by last played from the edit filter dialog'
Comment 2 Myriam Schweingruber 2012-06-30 07:37:23 UTC
Confirmed on 2.5-git of today. This is a serious regression as this is very often used by many users.
Comment 3 Matěj Laitl 2012-07-03 19:57:43 UTC
Git commit 728680ee601d443e218ce2e705cf173929fa580d by Matěj Laitl.
Committed on 03/07/2012 at 21:55.
Pushed by laitl into branch 'master'.

EditFilterDialog: add "Last Played" back

It was assumed that his is a recent regression, but looking at the
code, this bug was present at least in January 2011.
FIXED-IN: 2.6

M  +1    -0    ChangeLog
M  +1    -0    src/dialogs/EditFilterDialog.cpp

http://commits.kde.org/amarok/728680ee601d443e218ce2e705cf173929fa580d